cURL
curl --request POST \ --url https://api.reply.io/v3/custom-fields \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "title": "<string>", "fieldType": "<string>", "metadata": "<string>", "orgWide": false } '
{ "id": 123, "title": "<string>", "fieldType": "<string>", "metadata": "<string>", "orgWide": true }
Coming soon. This endpoint will be available once Reply API 3.0 enters beta. We will notify all users when beta access opens. Request early access.
Creates a new custom field
API key passed in the X-API-Key header
Custom field name
Custom field type
Optional metadata for the field (e.g., dropdown options)
Whether the field should be shared across the organization
Custom field created successfully
Custom field ID
Whether the field is shared across the organization